<template>
  <list-layout>
    <md-table
      :data="listData"
      @row-click="enterHandle"
    >
      <md-table-column
        type="index"
        label="序号"
        align="center"
        min-width="55"
        width="55"
      />
      <md-table-column
        label="姓名"
        align="center"
        min-width="100"
        prop="name"
      />
    </md-table>
    <template slot="footer">
      <md-pagination
        :pagination="pagination"
        :changePage="changePage"
        :changeSizeHandle="changeSizeHandle"
      />
    </template>
  </list-layout>
</template>

<script>
export default {
  name: 'paginationPage',
  data() {
    return {
      listData: [
        {
          name: '1111',
        },
        {
          name: '2222',
        },
      ],
      pagination: {
        pageNum: 1,
        pageSize: 10,
        total: 88815,
      },
    };
  },
  methods: {
    changePage(index) {
      console.log(index);
    },
    changeSizeHandle(size) {
      console.log(size);
    },
    enterHandle(row, event, column) {
      console.log(row, event, column);
    },
  },
};
</script>
